import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';

@Component({
  selector: 'v-search-history',
  templateUrl: './search-history.component.html',
  styleUrls: ['./search-history.component.scss'],
})
export class SearchHistoryComponent implements OnInit {

  @Input() history = [];
  @Output() oneClick = new EventEmitter<String>();
  constructor() { }

  ngOnInit() {}

  click(one) {
    this.oneClick.emit(one);
  }
}
